
      character*1  header,header_p
      character*2  element
      character*8  bond,gut,orbsym,spin,spn
      character*80 datetime

      common/deriv2/ dni(9,400),dmu(9,450)
      common/fockpot/ foc1(160000),foc2(160000)
      common/gridr/  hni,hmu(10),ssf(10),
     &      vmu(450),vxi(450),vxisq(450),
     &      vxi1(450),vxi2(450),
     &      vni(400),veta(400),vetasq(400),
     &      veta1(400),veta2(400)
      common/gridr_p/  hni_p,hmu_p(10),ssf_p(10),
     &      vmu_p(450),vxi_p(450),vxisq_p(450),
     &      vxi1_p(450),vxi2_p(450),
     &      vni_p(400),veta_p(400),vetasq_p(400),
     &      veta1_p(400),veta2_p(400)
      common/integ / wmu(450),wni(400)	
      common/xieta/ xi(450,12),eta(400,6)

      common /address1/ i1b(60),i2b(60),i3b(1830),i4b(20),i5b(20),
     &			i6b(5)
      common /address2/ i1e(60),i2e(60),i3e(1830),i4e(20),i5e(20)
      common /address3/ i1si(60),i2si(60),i3si(1830),i4si(20),i5si(20)
      common /address4/ i1ng(60),i2ng(60),i3ng(1830),i4ng(20),i5ng(20)
      common /address5/ i1mu(60),i2mu(60),i3mu(1830)	
      common /address6/ i3btv(60,60),i3xind(60,60),i3xpair(60,60),
     &		iwexch(1860),i3brec(60,60),i3xk(60,60),i3xrec1(1860),
     &          i3xrec2(1860),i3nexcp(60),i3breck(60,60),nexchp		
      common/iaddress7/ i3orb1(1860),i3orb2(1860)

      common/config/ norb,nel,nexch          
      common/cons/ zero,half,tenth,one,two,three,ten,pii,precis
      common/debug/ idbg(600),incrni,incrmu
      common/deriv1/ dni2(4),dni1(4),dmu2(4,10),dmu1(4,10),exeven(5),
     &               exodd(5),diag(10)
      common/dimes/ homolevl,maxgrids,maxmu,maxni,maxorb,maxfock,
     &              lexchrecl  
      common/exmo/excdi(3660),excqu(3660),excoc(3660),exche(3660),
     &            exc5(3660)
      common/exmo1/exc6(3660),exc7(3660),exc8(3660)
      common/gridi/ ngrids,nni,nmu(10),ngsize(10),mxnmu,mxsize,
     &              ibmu(10),iemu(10),ioffs(10)
      common/fefield/ ffield,fgrad,zcutoff,ifefield
      common/hydini/ eza1(60),eza2(60),co1(60),co2(60)     
      common/index/ iadext(20),iadnor(20),iadex1(20),iadex2(20),
     &		    iadex3(20),ingr1(4,10),ingr2(4,10), 
     &		    ngrd1,ngrd2,ngrd6a,ngrd6b,ngrd7,     
     &		    nni1,nni2,nni3,nni4,nni5  	     
      common /inputd1/ z1atmass,z2atmass,ini,iform,idump,
     &                iinterp,imethod,ienterm,inoterm,ifix(60),
     &                itail,ifermi,iplot,header(80),datetime
      common/inputd2/ r,r2,z1,z2,rinf,rgrid(10),cutorb,cutcoul,cutexch
      common/interp/ cint2(9,4),cint3l(9,4),cint3r(9,4),cint4(9,4),
     &               iadint2(4),iadint3l(4),iadint3r(4),iadint4(4)
      common/iochan/ iinp5,iinp11,iinp12,iinp13,iinp14,
     &               iout6,iout21,iout22,iout23,iout24,maxunit
      common/iord_data/ iord_nu_orb,iord_nu_coul,iord_nu_exch,
     &     iord_mu_orb,iord_mu_coul,iord_mu_exch
      common/lengths/ length1,length2,length3,length4,length5,length6
      common/compatab/ isum,no,io,ir,ilc(1830),iorn(60),gut(60),
     &                  bond(60),spin(240)
      common/orbit/  nn(60),ll(60),mm(60),iocc(60)
      common/orbiti/ mgx(9,60),lock(60),ige(60),ihomo(60),orbsym(60)
      common/orbitr/ area(60),qxm(60),occ(60),sign(61)
      common/scfi/ maxscf,nobckup,islat,ihomon,ibreak,iortho,icanon
      common/scfr/ facmul,exlorb,exlcoul,exlexp,alphaf,sltthr,diver,
     &		   demax(60),trelax,tortho,trayl,tmomen,sflagra,
     &             sflagrat(60,60),dampf(60)
      common/sori/ maxsor1,maxsor2,lsor,maxsor(60),ipoiss,iorder(10),
     &		 impole,itouch(60),iprtlev
      common/sorr/ ovforb(10),ovfcoul(10),ovfexch(10),sweep5
      common/sorwk/ omega,omega1,dmu2t(4),dmu1t(4),icase,ifill,
     &              isym,muoffs
      common /tottmp/ vkt,vnt,evt,epott,etot,vk(60),vn(60),virrat,
     &                ictot,iready
      common/energ/eng(60),engi(60),engt(60),pnc(60),pnx(1830)
      common/moment/ cmulti(1200),calp(12),nmulast
      common/noeng/engo(3600),h(1,1),inon,inpv(10),icou(60,60)	
      common/opcom/gec(7200),spn(300),iloop(60),iqm(300),div(60)   
      common/opcomab/gca(7200),gxa(7200),gcb(7200),gxb(7200),
     &     gc(7200),gx(7200)
      common/qnm/ imagn(240,240)
      common/pertab/bohr2ang,au2Debye,atweight(0:100),
     &	element(0:100)	

      common/rinputd_p/ r_p,z1_p,z2_p,rinf_p,rgrid_p(10),
     &                  header_p(80),date_p,time_p  
      common/gridi_p/  ngrids_p,nni_p,nmu_p(10),ngsize_p(10),
     &                 mxnmu_p,mxsize_p,ibmu_p(10),iemu_p(10),
     &                 ioffs_p(10)

      common/gauss20/ fngau2(200),shngau(200),primcoef(60,200),
     &                primexp(200),lprim(200),mprim(200),
     &                icgau(200),npbasis,maxnpbasis
      common /gauss21/ coeff(200),ixref(200)
      common /gauss30/ ovl(200,200)


